<?php

function BuddyList()
{
	global $db_prefix, $context, $memberContext, $ID_MEMBER, $user_profile, $txt, $modSettings, $scripturl;

	loadTemplate('BuddyList-1x');
	loadLanguage('Profile');
	loadMemberData($ID_MEMBER);
	$context['page_title'] = $txt['buddylist'];
	$context['template_layers'] = array();
	$context['sub_template'] = 'main';
	if (!empty($context['buddylist_error']))
		$context['buddylist_errors'] = array();
		
	$buddylist_errors = array();

	if (empty($modSettings['enable_buddylist']))
		$buddylist_errors[] = 'disabled';

	$buddiesArray = explode(',', $user_profile[$ID_MEMBER]['buddy_list']);
	foreach ($buddiesArray as $k => $dummy)
		if ($dummy == '')
			unset($buddiesArray[$k]);
	$buddies = array();
	
	if (empty($buddiesArray))
		$buddylist_errors[] = 'no_buddies';
	
	// We don't need that for now.
	// Page index...
	//$start = !empty($_REQUEST['page']) ? (int) $_REQUEST['page'] : 0;
	//$per_page = 4;
	//$buddy_count = substr_count($user_profile[$user_info['id']]['buddy_list'], ',');
	//$context['page_index'] = constructPageIndex($scripturl . '?action=buddylist;page=%d', $start, $buddy_count, $per_page, true);

	if (!empty($buddiesArray))
	{
		$result = db_query("
			SELECT ID_MEMBER
			FROM {$db_prefix}members
			WHERE ID_MEMBER IN (" . implode(', ', $buddiesArray) . ")
			ORDER BY realName
			LIMIT " . (substr_count($user_profile[$ID_MEMBER]['buddy_list'], ',') + 1), __FILE__, __LINE__);
		while ($row = mysql_fetch_assoc($result))
			$buddies[] = $row['ID_MEMBER'];
		mysql_free_result($result);
	}
	$context['buddy_count'] = count($buddies);
	loadMemberData($buddies, false, 'profile');
	$context['buddies'] = array();
	foreach ($buddies as $buddy)
	{
		loadMemberContext($buddy);
		$context['buddies'][$buddy] = $memberContext[$buddy];
	}
	
	if (!empty($buddylist_errors))
	{
		$context['buddylist_error'] = array('messages' => array());
		foreach ($buddylist_errors as $buddylist_error)
		{
			$context['buddylist_error'][$buddylist_error] = true;
			$context['buddylist_error']['messages'][] = $txt['buddylist_error_' . $buddylist_error];
		}
	}
}

?>