<?php

function BuddyList()
{
	global $smcFunc, $context, $memberContext, $user_info, $user_profile, $txt, $modSettings, $scripturl;

	loadTemplate('BuddyList-2x');
	loadLanguage('Profile');
	loadMemberData($user_info['id']);
	$context['page_title'] = $txt['buddylist'];
	$context['template_layers'] = array();
	$context['sub_template'] = 'main';
	if (!empty($context['buddylist_error']))
		$context['buddylist_errors'] = array();
		
	$buddylist_errors = array();

	if (empty($modSettings['enable_buddylist']))
		$buddylist_errors[] = 'disabled';

	$buddiesArray = explode(',', $user_profile[$user_info['id']]['buddy_list']);
	foreach ($buddiesArray as $k => $dummy)
		if ($dummy == '')
			unset($buddiesArray[$k]);
	$buddies = array();
	
	if (empty($buddiesArray))
		$buddylist_errors[] = 'no_buddies';
	
	// We don't need that for now.
	// Page index...
	//$start = !empty($_REQUEST['page']) ? (int) $_REQUEST['page'] : 0;
	//$per_page = 4;
	//$buddy_count = substr_count($user_profile[$user_info['id']]['buddy_list'], ',');
	//$context['page_index'] = constructPageIndex($scripturl . '?action=buddylist;page=%d', $start, $buddy_count, $per_page, true);

	if (!empty($buddiesArray))
	{
		$result = $smcFunc['db_query']('', '
			SELECT  mem.id_member
			FROM {db_prefix}members as mem
				LEFT JOIN {db_prefix}log_online AS lo ON (lo.id_member = mem.id_member)
			WHERE mem.id_member IN ({array_int:buddy_list})
			ORDER BY (IFNULL(lo.log_time, 1=1)' . (!allowedTo('moderate_forum') ? ' OR NOT mem.show_online' : '') . ') ASC, mem.real_name ASC
			LIMIT ' . (substr_count($user_profile[$user_info['id']]['buddy_list'], ',') + 1),
			array(
				'buddy_list' => $buddiesArray,
			)
		);
		while ($row = $smcFunc['db_fetch_assoc']($result))
			$buddies[] = $row['id_member'];
		$smcFunc['db_free_result']($result);
	}
	$context['buddy_count'] = count($buddies);
	loadMemberData($buddies, false, 'profile');
	$context['buddies'] = array();
	foreach ($buddies as $buddy)
	{
		loadMemberContext($buddy);
		$context['buddies'][$buddy] = $memberContext[$buddy];
	}
	
	if (!empty($buddylist_errors))
	{
		$context['buddylist_error'] = array('messages' => array());
		foreach ($buddylist_errors as $buddylist_error)
		{
			$context['buddylist_error'][$buddylist_error] = true;
			$context['buddylist_error']['messages'][] = $txt['buddylist_error_' . $buddylist_error];
		}
	}
}

?>