<?php

function template_main()
{
	global $settings, $txt, $context, $scripturl, $ID_MEMBER;
	
	echo '
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"', $context['right_to_left'] ? ' dir="rtl"' : '', '>
	<head>
		<title>', $context['page_title'], '</title>
		<meta http-equiv="Content-Type" content="text/html; charset=', $context['character_set'], '" />
		<meta name="robots" content="noindex" />
		<link rel="stylesheet" type="text/css" href="', $settings['theme_url'], '/style.css" />
		', $context['html_headers'], '
		<style type="text/css">
		.buddy_avatar {
			height: 50px;
			width: 50px;
			background: #fff;
			border: 1px solid #ccc;
			float: left;
			clear: left;
			margin-right: 5px;
			text-align: center;
		}

		.buddy_details img {
			vertical-align: middle;
		}

		.buddy_action {
			margin-left: 80px;
		}
		</style>
	</head>
	<body style="margin:0; padding: 4px; top: 0; left: 0;">
	<table width="100%" cellspacing="1" cellpadding="4" border="0" align="center" class="tborder">
		<tr>
			<td class="titlebg"', empty($context['buddylist_error']['messages']) ? ' colspan="2"' : '', '>
				', $txt['buddylist'], '
				<a href="javascript:self.close();"><img src="', $settings['images_url'], '/icons/quick_remove.gif" alt="', $txt['buddylist_close_window'], '" style="float: right; margin-top: 3px;" /></a>
			</td>
		</tr>';
	if (!empty($context['buddylist_error']['messages']))
	{
		echo '
		<tr>
			<td class="catbg3">
				', implode('<br />', $context['buddylist_error']['messages']), '
			</td>
		</tr>';
	}
	else
	{
		echo '
		<tr>
			<td class="windowbg2" colspan="2">
				<div style="overflow: auto; height: 250px;">
					<table width="100%" cellspacing="1" cellpadding="4" border="0" align="center" class="tborder" style="border: 0;">';
			foreach ($context['buddies'] as $buddy)
			{
				echo '
						<tr>
							<td class="windowbg">
								<div class="buddy_avatar"><img src="', $buddy['avatar']['href'], '" alt="" width="44" height="44" style="margin-top: 3px;" />
								</div>
								<div class="buddy_details">
									<img src="', $buddy['online']['image_href'], '" alt="', $buddy['online']['label'], '" title="', $buddy['online']['label'], '" /> <a href="', $buddy['href'], '" target="_blank">', $buddy['name'], '</a>
								</div>
								<div class="buddy_action">
									<span class="middletext">
										', $buddy['last_login'], '<br />
										<a href="', $scripturl, '?action=pm;sa=send;u=', $buddy['id'], '" target="_blank">', $txt['buddylist_pm_send'], '</a>
									</span>
								</div>
							</td>
						</tr>';
			}
				echo '
					</table>
				</div>
			</td>
		</tr>
		<tr>
			<td align="center" class="catbg"><input type="button" value="', $txt['buddylist_reload'], '" onclick="window.location = \'', $scripturl, '/index.php?action=buddylist\'" /></td>
			<td align="center" class="catbg"><a href="', $scripturl, '/index.php?action=profile;u=', $ID_MEMBER, ';sa=editBuddies" target="_blank">', $txt['buddylist_add'], '</a></td>
		</tr>';
	}
	echo '
	</table>
	</body>
</html>';
	obExit(false);
}
?>