<?php

function template_main()
{
	global $settings, $txt, $context, $scripturl;
	
	echo '
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"', $context['right_to_left'] ? ' dir="rtl"' : '', '>
	<head>
		<title>', $context['page_title'], '</title>
		<meta http-equiv="Content-Type" content="text/html; charset=', $context['character_set'], '" />
		<meta name="robots" content="noindex" />
		<link rel="stylesheet" type="text/css" href="', $settings['theme_url'], '/css/index.css" />
		', $context['html_headers'], '
		<style type="text/css">
		.buddy_avatar {
			height: 50px;
			width: 50px;
			background: #fff;
			border: 1px solid #ccc;
			float: left;
			clear: left;
			margin-right: 5px;
			text-align: center;
		}

		.buddy_details img {
			vertical-align: middle;
		}

		.buddy_action {
			margin-left: 80px;
		}
		.creator dl {
			margin: 0;
		}
		.creator dt {
			width: 40%;
			float: left;
			clear: both;
			margin: 0 0 10px 0;
		}
		.creator dd {
			float: left;
			width: 60%;
			margin: 0 0 10px 0;
		}
		#buddy_section {
			background: #FFFFFF url(', $settings['theme_url'], '/images/theme/frame_repeat.png) repeat-y top left;
			width: 100%;
			min-height: 200px;
		}
		</style>
	</head>
	<body style="margin:0; padding: 4px; top: 0; left: 0;">
	<div id="buddy_section">
		<h3 class="catbg">
			<span class="left"></span>
			<a href="javascript:self.close();"><img src="', $settings['images_url'], '/icons/quick_remove.gif" alt="', $txt['buddylist_close_window'], '" style="float: right; vertical-align: middle;" /></a>
			', $txt['buddylist'], '
		</h3>
		<span class="topslice"><span></span></span>
		<div class="content">';
	if (!empty($context['buddylist_error']['messages']))
	{
		echo '
			', implode('<br />', $context['buddylist_error']['messages']);
	}
	else
	{
		echo '
			<div style="overflow: auto; height: 250px;">';
		foreach ($context['buddies'] as $buddy)
		{
			echo '
				<div class="windowbg2 creator">
					<span class="topslice"><span></span></span>
					<div class="content">
						<div class="buddy_avatar"><img src="', $buddy['avatar']['href'], '" alt="" width="44" height="44" style="margin-top: 3px;" /></div>
						<div class="buddy_details">
							<img src="', $buddy['online']['image_href'], '" alt="', $buddy['online']['label'], '" title="', $buddy['online']['label'], '" /> <a href="', $buddy['href'], '" target="_blank">', $buddy['name'], '</a>
						</div>
						<div class="buddy_action">
							<span class="smalltext">
								', $buddy['last_login'], '<br />
								<a href="', $scripturl, '?action=pm;sa=send;u=', $buddy['id'], '" target="_blank">', $txt['pm_menu_send'], '</a>
							</span>
						</div>
					</div>
					<span class="botslice"><span></span></span>
				</div>';
		}
			echo '
			</div>
		</div>
		<span class="botslice"><span></span></span>
		<h3 class="catbg" style="text-align: center;">
			<span class="left"></span>
			<a href="', $scripturl, '/index.php?action=buddylist">', $txt['buddylist_reload'], '</a>&nbsp;|
			<a href="', $scripturl, '/index.php?action=profile;area=lists;u=', $context['user']['id'], '" target="_blank">', $txt['buddylist_add'], '</a>
		</h3>';
	}
	echo '
	</div>
	</body>
</html>';
	obExit(false);
}
?>